Name:           commons-chain
Version:        1.2
Release:        %mkrel 1
Summary:        Apache Commons Chain
Group:          Development/Java
License:        ASL 2.0
URL:            http://commons.apache.org/chain/
# svn export http://svn.apache.org/repos/asf/commons/proper/chain/tags/CHAIN_1_2 commons-chain-1.2
Source0:        commons-chain-%{version}.tar.xz
Patch0:         commons-chain-build-fixes.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: apache-portlet-1.0-api 
BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-codec
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-digester
BuildRequires: apache-commons-el
BuildRequires: apache-commons-fileupload
BuildRequires: apache-commons-lang
BuildRequires: apache-commons-logging
BuildRequires: apache-commons-validator
BuildRequires: jakarta-oro
BuildRequires: junit

BuildRequires: findbugs-maven-plugin
BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-changes-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin

BuildRequires: myfaces-core
BuildRequires: tomcat5-jsp-2.0-api
BuildRequires: tomcat5-servlet-2.4-api
BuildRequires: glassfish-jstl

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
This project provides APIs for a Chain of Responsibility design pattern.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
mvn-rpmbuild install -Dmaven.test.skip=true javadoc:aggregate

%install

# JAR
install -d -m 755 %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

# POM
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr  target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Oct 29 2011 gil <gil> 1.2-1.mga2
+ Revision: 159622
- imported package commons-chain

